/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-26 19:09
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const int MAXN = 2e5 + 5;

typedef unsigned long long ull;
ull X;

void solve(){
    // Code goes here ...
    cin >> X;

    vector<ull> res;
    while(popcount(X) > 1){
        ull diff = (1 << countr_zero(X));
        res.push_back(X);
        X -= diff;
    }
    while(countr_zero(X)){
        ull diff = 1 << (countr_zero(X) - 1);
        res.push_back(X);
        X -= diff;
    }

    cout << ssize(res) + 1 << endl;
    for(auto e: res)
        cout << e << " ";

    cout << X << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    return 0;
}
        
